version: '3.8'
services:
  mongo:
    image: "mongo:${MONGO_VERSION}"
    container_name: mongo
    restart: unless-stopped
    volumes:
      - "mongo_data:/data/db"
      - "mongo_backups:/var/backups"
    network_mode: host

  graylog:
    image: "graylog/graylog:${GRAYLOG_VERSION}"
    container_name: graylog
    restart: unless-stopped
    environment:
      GRAYLOG_PASSWORD_SECRET: "${GRAYLOG_PASSWORD_SECRET}"
      GRAYLOG_ROOT_PASSWORD_SHA2: "${GRAYLOG_ROOT_PASSWORD_SHA2}"
      GRAYLOG_HTTP_EXTERNAL_URI: "https://graylog.rmt/"
      GRAYLOG_MONGODB_URI: "mongodb://127.0.0.1:27017/graylog"
      GRAYLOG_ELASTICSEARCH_HOSTS: "http://elastic.rmt:9200"
    entrypoint: /usr/bin/tini -- wait-for-it elastic.rmt:9200 --  /docker-entrypoint.sh
    network_mode: host
    depends_on:
      - mongo
    volumes:
      - "graylog_conf:/etc/graylog"
      - "graylog_server:/usr/share/graylog-server"
      - "graylog_logs:/var/log/graylog-server"
      - "graylog_data:/usr/share/graylog/data"

volumes:
  # Graylog Mappings
  graylog_conf:
    name: graylog_conf
  graylog_server:
    name: graylog_server
  graylog_logs:
    name: graylog_logs
  graylog_data:
    name: graylog_data

  # Mongo Mappings
  mongo_data:
    name: mongo_data
  mongo_backups:
    name: mongo_backups
